Method: projects.locations.collections.engines.assistants.streamRawPredict

Server-streaming raw prediction, for models that use a raw request/response protocol rather than the generateContent shape.

Limited to Gemini Enterprise clients (ASSISTANT_USER visibility); not part of the general Discovery Engine API.

HTTP request

POST https://discoveryengine.googleapis.com/v1alpha/{name=projects/*/locations/*/collections/*/engines/*/assistants/*}:streamRawPredict

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the Assistant serving the request.

Request body

The request body contains data with the following structure:

JSON representation
{
  "model": string,
  "httpBody": {
    object (HttpBody)
  }
}
Fields
model

string

Required. The model to serve the request. This is an opaque model identifier, not a Discovery Engine resource.

httpBody

object (HttpBody)

Required. The opaque request body.

Response body

If successful, the response is a generic HTTP response whose format is defined by the method.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.assist.readwrite
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • discoveryengine.assistants.assist

For more information, see the IAM documentation.